This service will be undergoing non-disruptive maintenance at 07:20 UTC, 2018-12-14. It is expected to last approximately 30 minutes
Bug 766083 - Review Request derelict - Collection of wrapper for 3D programming in D
Summary: Review Request derelict - Collection of wrapper for 3D programming in D
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthieu Saulnier
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-12-10 00:31 UTC by MERCIER Jonathan
Modified: 2012-08-05 09:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-05 09:40:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
casper: fedora-review+
limburgher: fedora-cvs+


Attachments (Terms of Use)
spec file (20.50 KB, text/x-rpm-spec)
2011-12-10 00:31 UTC, MERCIER Jonathan
no flags Details

Description MERCIER Jonathan 2011-12-10 00:31:41 UTC
Created attachment 544811 [details]
spec file

rplint Spec:
---------------------
$ rpmlint rpmbuild/SPECS/derelict.spec 
rpmbuild/SPECS/derelict.spec: W: invalid-url Source0: derelict-20111031svn591.tar.xz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.
---------------------

rpmlint SRPMS:
---------------------
$ rpmlint rpmbuild/SRPMS/derelict-2-12.20111031svn591.fc16.src.rpm 
derelict.src: W: spelling-error Summary(fr) It -> T, Itô, Dt
derelict.src: W: spelling-error Summary(fr) is -> si, us, os
derelict.src: W: spelling-error Summary(fr) of -> off, if, or
derelict.src: W: spelling-error Summary(fr) bindings -> buildings
derelict.src: W: spelling-error Summary(fr) to -> tau, go, t
derelict.src: W: spelling-error Summary(fr) shared -> daredare
derelict.src: W: spelling-error Summary(fr) libraries -> libraires, librairies, librairie
derelict.src: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
derelict.src: W: strange-permission DdocToDevhelp 0755L
derelict.src: W: invalid-url Source0: derelict-20111031svn591.tar.xz
---------------------

scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3576576

Comment 1 MERCIER Jonathan 2011-12-11 09:18:44 UTC
SPEC: http://bioinfornatics.fedorapeople.org/derelict.spec

Comment 2 Matthieu Saulnier 2011-12-11 11:26:23 UTC
Hello,
some remarks:

- you can remove %defattr section at the beginning of each %file section
  https://fedoraproject.org/wiki/Packaging:Guidelines#File_Permissions

- "Group:" spécification is useless too, so you can remove it

- If you plan to build this package for EPEL < 6, ignore following remarks:
  - you can remove %clean section
    https://fedoraproject.org/wiki/Packaging:Guidelines#.25clean

  - you can remove "rm -rf %{buildroot}" at the beginning of %install section

- I found a difference between the spec file in attachement of this review
  request and the spec file uploaded on your fedorapeople(that is the same as
  the spec file in the srpm)

$ diff derelict.spec derelict.spec.bak
22,23c22,24
< BuildRequires:  ldc, ldc-phobos-devel, ldc-druntime-devel
< Requires:       ldc-phobos-devel, ldc-druntime-devel
---
> BuildRequires:  ldc
> BuildRequires:  ldc-phobos
> Requires:       ldc-phobos

  Please update accordingly changelog section

Comment 3 MERCIER Jonathan 2011-12-11 11:53:24 UTC
(In reply to comment #2)
> Hello,
> some remarks:
> 
> - you can remove %defattr section at the beginning of each %file section
>   https://fedoraproject.org/wiki/Packaging:Guidelines#File_Permissions

Done

> - "Group:" spécification is useless too, so you can remove it

Done

> - If you plan to build this package for EPEL < 6, ignore following remarks:
>   - you can remove %clean section
>     https://fedoraproject.org/wiki/Packaging:Guidelines#.25clean

Done

>   - you can remove "rm -rf %{buildroot}" at the beginning of %install section

Done

> - I found a difference between the spec file in attachement of this review
>   request and the spec file uploaded on your fedorapeople(that is the same as
>   the spec file in the srpm)
> 
> $ diff derelict.spec derelict.spec.bak
> 22,23c22,24
> < BuildRequires:  ldc, ldc-phobos-devel, ldc-druntime-devel
> < Requires:       ldc-phobos-devel, ldc-druntime-devel
> ---
> > BuildRequires:  ldc
> > BuildRequires:  ldc-phobos
> > Requires:       ldc-phobos
> 
>   Please update accordingly changelog section


Done

srpm and spec updated:
- http://bioinfornatics.fedorapeople.org/derelict.spec
- http://bioinfornatics.fedorapeople.org/derelict-2-13.20111031svn591.fc16.src.rpm

Comment 5 Matthieu Saulnier 2011-12-15 14:08:34 UTC
Hello,
* some mispelling in french description :
%description -l fr
derelict soutient quelques dispositifs utiles pour le développement de projet
incluant :
- Uniformité du code portable sur plusieurs plates-formes 
Derelict charge les bibliothèques partagées manuellement au temps d'exécution et
renvoie une exception quand une bibliothèque, ou n'importe quel symbole dans la
bibliothèque, ne charge pas. Ceci vous donne le contrôle complet sur la façon
de traiter le cas où une bibliothèque partagée ne chargerait pas. Vous pouvez
retomber à un chemin différent de code, donner à vos utilisateurs un message
d'erreur utile ou prendre n'importe quelle mesure que vous voulez. Sans avoir
à vous soucier d'un comportement identique à travers de multiples plates-formes.
- Chargement sélectif de symbole - ce dispositif vous permet de surcharger des
exceptions renvoyées par derelict quand un symbole de bibliothèque partagée ne
charge pas. C'est un but du projet que le paquet derelict soit mis à jour afin
de charger la dernière version de chaque bibliothèque. Souvent, les nouvelles
versions de bibliothèque incluent de nouvelles fonctions. Si un utilisateur a
une version plus ancienne de la bibliothèque installée, ou une à laquelle il
manque les nouveaux symboles d'une fonction, derelict le notera et renverra une
exception. En se servant du chargement sélectif des symboles, vous pouvez dépasser
ce comportement et permettre à la version la plus ancienne de derelict de se
charger avec succès.

* As you don't plan to build for EPEL < 6, BuildRoot Tag is useless and you can remove it.
https://fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag

* There is an error in allegro-static's requirements :
line 95:	Requires:       allegro5-addon-dialog, allegro5-addon-dialog-develRequires:

* Why do you call explicitly DerelictFT_ALL *and* DerelictFT in make section ?
line 315:	    DerelictFT_ALL                              \
line 316:	    DerelictFT                                  \

* As you have removed devhelp package you can remove your python script :
line 15:	Source1:        DdocToDevhelp

* In %doc section, you can add a joker like this :
line 342	%doc doc/*

* There is an error in changelog version entry :
line 392	[...skip...] 2-14.201111061svn593
It should be 2-14.20111106svn593

Comment 8 Matthieu Saulnier 2012-01-07 09:31:42 UTC
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated


==== C/C++ ====
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Package is not relocatable.
[x]: MUST Static libraries in -static subpackage, if present.


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported architecture.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[-]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package meets the Packaging Guidelines.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generates any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[!]: MUST Requires correct, justified where necessary.
See rpmlint output
[!]: MUST Rpmlint output is silent.

rpmlint derelict-Ogg-devel-2-17.20111106svn593.fc17.i686.rpm

derelict-Ogg-devel.i686: W: spelling-error Summary(fr) developing -> développante
derelict-Ogg-devel.i686: W: spelling-error %description -l en_US derelictOgg -> derelict
derelict-Ogg-devel.i686: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


rpmlint derelict-PA-devel-2-17.20111106svn593.fc17.i686.rpm

derelict-PA-devel.i686: W: spelling-error Summary(fr) developing -> développante
derelict-PA-devel.i686: W: spelling-error %description -l en_US derelictPA -> derelict Pa, derelict PA, derelict-PA
derelict-PA-devel.i686: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


rpmlint derelict-2-17.20111106svn593.fc17.src.rpm

derelict.src: W: spelling-error Summary(fr) It -> T, Itô, Dt
derelict.src: W: spelling-error Summary(fr) is -> si, us, os
derelict.src: W: spelling-error Summary(fr) of -> off, if, or
derelict.src: W: spelling-error Summary(fr) bindings -> buildings
derelict.src: W: spelling-error Summary(fr) to -> tau, go, t
derelict.src: W: spelling-error Summary(fr) shared -> daredare, sed
derelict.src: W: spelling-error Summary(fr) libraries -> libraires, librairies, librairie
derelict.src: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
derelict.src: W: invalid-url Source0: derelict-20111106svn593.tar.xz
1 packages and 0 specfiles checked; 0 errors, 9 warnings.


rpmlint derelict-ODE-devel-2-17.20111106svn593.fc17.i686.rpm

derelict-ODE-devel.i686: W: spelling-error Summary(fr) developing -> développante
derelict-ODE-devel.i686: W: spelling-error %description -l en_US derelictODE -> derelict Ode, derelict-ode, dereliction
derelict-ODE-devel.i686: W: spelling-error %description -l fr derelic -> Rellich
derelict-ODE-devel.i686: W: spelling-error %description -l fr tODE -> dote, rode, gode
derelict-ODE-devel.i686: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 5 warnings.


rpmlint derelict-Util-devel-2-17.20111106svn593.fc17.i686.rpm

derelict-Util-devel.i686: W: spelling-error Summary(fr) developing -> développante
derelict-Util-devel.i686: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint derelict-FT-devel-2-17.20111106svn593.fc17.i686.rpm

derelict-FT-devel.i686: W: spelling-error Summary(fr) developing -> développante
derelict-FT-devel.i686: W: spelling-error %description -l en_US derelictFT -> derelict Ft, derelict-ft, derelict
derelict-FT-devel.i686: W: spelling-error %description -l fr derelictFT -> Fredericton
derelict-FT-devel.i686: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 4 warnings.


rpmlint derelict-Util-static-2-17.20111106svn593.fc17.i686.rpm

derelict-Util-static.i686: W: spelling-error Summary(fr) developing -> développante
derelict-Util-static.i686: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint derelict-FT-static-2-17.20111106svn593.fc17.i686.rpm

derelict-FT-static.i686: W: spelling-error Summary(fr) developing -> développante
derelict-FT-static.i686: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint derelict-SDL-static-2-17.20111106svn593.fc17.i686.rpm

derelict-SDL-static.i686: W: spelling-error Summary(fr) developing -> développante
derelict-SDL-static.i686: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint derelict-SFML-devel-2-17.20111106svn593.fc17.i686.rpm

derelict-SFML-devel.i686: W: spelling-error Summary(fr) developing -> développante
derelict-SFML-devel.i686: W: spelling-error %description -l en_US derelictSFML -> dereliction
derelict-SFML-devel.i686: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


rpmlint derelict-Ogg-static-2-17.20111106svn593.fc17.i686.rpm

derelict-Ogg-static.i686: W: spelling-error Summary(fr) developing -> développante
derelict-Ogg-static.i686: W: spelling-error %description -l en_US derelictOgg -> derelict
derelict-Ogg-static.i686: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


rpmlint derelict-2-17.20111106svn593.fc17.i686.rpm

derelict.i686: E: devel-dependency ldc-druntime-devel
derelict.i686: W: spelling-error Summary(fr) It -> T, Itô, Dt
derelict.i686: W: spelling-error Summary(fr) is -> si, us, os
derelict.i686: W: spelling-error Summary(fr) of -> off, if, or
derelict.i686: W: spelling-error Summary(fr) bindings -> buildings
derelict.i686: W: spelling-error Summary(fr) to -> tau, go, t
derelict.i686: W: spelling-error Summary(fr) shared -> daredare, sed
derelict.i686: W: spelling-error Summary(fr) libraries -> libraires, librairies, librairie
derelict.i686: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
derelict.i686: E: no-binary
derelict.i686: W: wrong-file-end-of-line-encoding /usr/share/doc/derelict-2/styles.css
1 packages and 0 specfiles checked; 2 errors, 9 warnings.


rpmlint derelict-allegro-devel-2-17.20111106svn593.fc17.i686.rpm

derelict-allegro-devel.i686: W: spelling-error Summary(fr) developing -> développante
derelict-allegro-devel.i686: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint derelict-AL-devel-2-17.20111106svn593.fc17.i686.rpm

derelict-AL-devel.i686: W: spelling-error Summary(fr) developing -> développante
derelict-AL-devel.i686: W: spelling-error %description -l en_US derelictAL -> derelict AL, derelict-AL, derelict
derelict-AL-devel.i686: W: spelling-error %description -l fr derelictAL -> dictatoriale
derelict-AL-devel.i686: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 4 warnings.


rpmlint derelict-IL-static-2-17.20111106svn593.fc17.i686.rpm

derelict-IL-static.i686: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint derelict-SDL-devel-2-17.20111106svn593.fc17.i686.rpm

derelict-SDL-devel.i686: W: spelling-error Summary(fr) developing -> développante
derelict-SDL-devel.i686: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint derelict-AL-static-2-17.20111106svn593.fc17.i686.rpm

derelict-AL-static.i686: W: spelling-error Summary(fr) developing -> développante
derelict-AL-static.i686: W: spelling-error %description -l fr derelictAL -> dictatoriale
derelict-AL-static.i686: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


rpmlint derelict-IL-devel-2-17.20111106svn593.fc17.i686.rpm

derelict-IL-devel.i686: W: spelling-error Summary(fr) developing -> développante
derelict-IL-devel.i686: W: spelling-error %description -l en_US derelictIL -> derelict IL, derelict-IL, dereliction
derelict-IL-devel.i686: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


rpmlint derelict-GL-static-2-17.20111106svn593.fc17.i686.rpm

derelict-GL-static.i686: W: spelling-error Summary(fr) developing -> développante
derelict-GL-static.i686: W: spelling-error %description -l en_US derelictGL -> derelict
derelict-GL-static.i686: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


rpmlint derelict-ODE-static-2-17.20111106svn593.fc17.i686.rpm

derelict-ODE-static.i686: W: spelling-error Summary(fr) developing -> développante
derelict-ODE-static.i686: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint derelict-allegro-static-2-17.20111106svn593.fc17.i686.rpm

derelict-allegro-static.i686: W: spelling-error Summary(fr) developing -> développante
derelict-allegro-static.i686: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint derelict-GL-devel-2-17.20111106svn593.fc17.i686.rpm

derelict-GL-devel.i686: W: spelling-error Summary(fr) developing -> développante
derelict-GL-devel.i686: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint derelict-SFML-static-2-17.20111106svn593.fc17.i686.rpm

derelict-SFML-static.i686: W: spelling-error Summary(fr) developing -> développante
derelict-SFML-static.i686: W: spelling-error %description -l fr derelictSDL -> liberticide
derelict-SFML-static.i686: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


rpmlint derelict-geany-tags-2-17.20111106svn593.fc17.i686.rpm

derelict-geany-tags.i686: W: spelling-error Summary(en_US) autocompletion -> auto completion, auto-completion, completion
derelict-geany-tags.i686: W: spelling-error Summary(fr) enable -> ensable, entable, tenable
derelict-geany-tags.i686: W: spelling-error Summary(fr) autocompletion -> autoconsommation, automutilation
derelict-geany-tags.i686: W: spelling-error %description -l en_US autocompletion -> auto completion, auto-completion, completion
derelict-geany-tags.i686: W: spelling-error %description -l fr l'autocompletion -> autoconsommation
derelict-geany-tags.i686: W: no-documentation
derelict-geany-tags.i686: E: script-without-shebang /usr/share/geany/tags/derelict.d.tags
1 packages and 0 specfiles checked; 1 errors, 6 warnings.


rpmlint derelict-PA-static-2-17.20111106svn593.fc17.i686.rpm

derelict-PA-static.i686: W: spelling-error Summary(fr) developing -> développante
derelict-PA-static.i686: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


[!]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
derelict-20111106svn593.tar.xz :
  MD5SUM this package     : f3e296bd6743db01801a06ffd84f16b4
  MD5SUM upstream package : upstream source not found
Note: svn revision number 611 is now available, don't forget to make a new snapshot for the next release

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
Note: license text is in the header of each .d file in the source package
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[!]: SHOULD SourceX is a working URL.
Note: the tarball is generated from an SVN repository. No issue here
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Rpmlint output is silent.
(spelling-error and no-documentation warnings are skipped)

rpmlint derelict-2-17.20111106svn593.fc17.i686.rpm

derelict.i686: E: devel-dependency ldc-druntime-devel
derelict.i686: E: no-binary
derelict.i686: W: wrong-file-end-of-line-encoding /usr/share/doc/derelict-2/styles.css
1 packages and 0 specfiles checked; 2 errors, 9 warnings.


rpmlint derelict-geany-tags-2-17.20111106svn593.fc17.i686.rpm

derelict-geany-tags.i686: E: script-without-shebang /usr/share/geany/tags/derelict.d.tags
1 packages and 0 specfiles checked; 1 errors, 6 warnings.

So the issue is to fix these rpmlint warnings.

Comment 9 MERCIER Jonathan 2012-01-07 10:53:22 UTC
In first, thanks for your great job
I have do some minor change who fix:
- E: devel-dependency ldc-druntime-devel
- /usr/share/doc/derelict-2/styles.css

About derelict.i686: E: no-binary
This error given by rpmlint is not really an error because if i set the main package as noarch all subpackage will be noarch and this is wrong, i.e: http://lists.fedoraproject.org/pipermail/devel/2012-January/160806.html

About derelict-geany-tags.i686: E: script-without-shebang
This file has exactly the same right as other tags in /usr/share/geany/tags/

http://bioinfornatics.fedorapeople.org/derelict.spec
http://bioinfornatics.fedorapeople.org/derelict-2-18.20111106svn593.fc16.src.rpm

Comment 12 Matthieu Saulnier 2012-01-19 16:39:30 UTC
Ok I think your package is ready now.

----------------
Package APPROVED
----------------

Comment 13 Gwyn Ciesla 2012-01-24 11:03:22 UTC
Please include an SCM request:

https://fedoraproject.org/wiki/Package_SCM_admin_requests

Thanks!

Comment 14 MERCIER Jonathan 2012-01-25 00:38:23 UTC
New Package SCM Request
=======================
Package Name: derelict
Short Description: Collection of wrapper for game programming in D
Owners: bioinfornatics
Branches: f17
InitialCC: bioinfornatics

Comment 15 MERCIER Jonathan 2012-01-25 00:39:03 UTC
New Package SCM Request
=======================
Package Name: derelict
Short Description: Collection of wrapper for 3D programming in D
Owners: bioinfornatics
Branches: f17
InitialCC: bioinfornatics

Comment 16 Gwyn Ciesla 2012-01-25 01:50:32 UTC
Summary and SCM package names don't match.  Also, f17==devel, no need to
request.

Comment 17 MERCIER Jonathan 2012-01-25 09:39:25 UTC
update summary it was too specific. It is for 3D programming.


New Package SCM Request
=======================
Package Name: derelict
Short Description: Collection of wrapper for 3D programming in D
Owners: bioinfornatics
Branches: devel
InitialCC: bioinfornatics

Comment 18 MERCIER Jonathan 2012-01-25 18:31:21 UTC
New Package SCM Request
=======================
Package Name: derelict
Short Description: Collection of wrapper for 3D programming in D
Owners: bioinfornatics
Branches: devel
InitialCC: bioinfornatics@fedoraproject.org

Comment 19 Gwyn Ciesla 2012-01-26 01:44:29 UTC
InitialCC takes FAS accounts, not email, and the summary and SCM request
names don't match.  Please fix both.  Thanks!

Comment 20 MERCIER Jonathan 2012-01-26 08:15:02 UTC
New Package SCM Request
=======================
Package Name: derelict
Short Description: Collection of wrapper for 3D programming in D
Owners: bioinfornatics
Branches: devel
InitialCC: bioinfornatics

Comment 21 Gwyn Ciesla 2012-01-26 12:57:26 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.